{% extends "layout.html" %}
{% block body %}

        <div class="container text-right pt-3">
<!-- Button trigger modal -->
<button type="button" class="btn btn-success" data-toggle="modal" data-target="#exampleModalCenter">
  <i class="fa fa-plus"></i>
  کاربر جدید
</button>

<!-- Modal -->
<div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLongTitle">
          <i class="fa fa-user"></i>
          کاربر جدید</h5>
      </div>
        <form action="{{url_for('main.users')}}" method="POST" name="form">
      <div class="modal-body">
          <div class="form-group">
              <input class="form-control" name="fname" type="text" placeholder="نام" />
          </div>
          <div class="form-group">
              <input class="form-control" name="lname" type="text" placeholder="نام خانوادگی" />
          </div>
          <div class="form-group">
              <input class="form-control" name="username" type="text" placeholder="نام کاربری" />
          </div>
          <div class="form-group">
              <input class="form-control" name="password" type="text" placeholder="کلمه عبور" />
          </div>
          <div class="form-group">
            {{form.term}}
          </div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal">بستن</button>
        <!--<button type="button" class="btn btn-success">ذخیره</button>-->
        <input type="submit" class="btn btn-success" name="submit" value="ذخیره" />
      </div>
        </form>
    </div>
  </div>
</div>
        </div>
      

      <table class="table table-bordred table-striped text-right mt-4 ">
          <tr class="table-hover">
              <td>
نام
              </td>
              <td>
                نام خانوادگی
              </td>
              <td>
                نام کاربری
              </td>
              <td>
              رمز عبور
              </td>
              <td>
ترم
              </td>
              <td>
                
              </td>
              <td>
                
              </td>
          </tr>
          {% for user in users %}
          <tr>
            <td>
              {{user.fname}}
            </td>
            <td>
              {{user.lname}}
            </td>
            <td>
              {{user.username}}
            </td>
            <td>
              {{user.password}}
            </td>
            <td>
              {{user.term}}
            </td>
            <td>
<!-- Button trigger modal -->
<button type="button" class="p-1 btn btn-primary" data-toggle="modal" data-target="#editModalCenter{{user.id}}">
  ویرایش
</button>

<!-- Modal -->
<div class="modal fade" id="editModalCenter{{user.id}}" tabindex="-1" role="dialog" aria-labelledby="editleModalCenterTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="editModalLongTitle">Modal title</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>

        <form action="{{url_for('main.edit_user')}}" method="POST" name="form">
      <div class="modal-body">
          <input name="id" value="{{user.id}}" type="hidden"  />

          <div class="form-group">
              <input class="form-control" value="{{user.fname}}" name="fname" type="text" placeholder="نام" />
          </div>
          <div class="form-group">
              <input class="form-control" value="{{user.lname}}" name="lname" type="text" placeholder="نام خانوادگی" />
          </div>
          <div class="form-group">
              <input class="form-control" value="{{user.username}}" name="username" type="text" placeholder="نام کاربری" />
          </div>
          <div class="form-group">
              <input class="form-control" value="{{user.password}}" name="password" type="text" placeholder="کلمه عبور" />
          </div>
          <div class="form-group" >
            <select id="term" name="term">
              <option value="1"
              {% if user.term == 1 %}
                      selected=""
              {% endif %}
              >ترم یک</option>
              <option value="2"
              {% if user.term == 2 %}
                      selected=""
              {% endif %}              
              >ترم دوم</option>
              <option value="3"
              {% if user.term == 3 %}
                      selected=""
              {% endif %}              
              >ترم سه</option>
              <option value="4"
              {% if user.term == 4 %}
                      selected=""
              {% endif %}
              >
                سه چهار
              </option>
            </select>            
          </div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal">بستن</button>
        <!--<button type="button" class="btn btn-success">ذخیره</button>-->
        <input type="submit" class="btn btn-success" name="submit" value="ذخیره" />
      </div>
        </form>
        
    </div>
  </div>
</div>
            </td>

            <td>
                <a href="{{ url_for('main.delete_user', id=user.id) }}" class="btn btn-danger btn-sm p-2" >حذف</a>
            </td>

          </tr>
          {% endfor %}

      </table>

      </div>

{% endblock %}